<?php if ($field->title) { ?><label for="<?php echo $field->id; ?>"><?php echo $field->title; ?></label><?php } ?>
<?php 

if ($value == $field->default) $value = false;

echo html_input('text', $field->element_name, $value, array('id'=>$field->id, 'required'=>(array_search(array('required'), $field->getRules()) !== false)));
$rows = explode("\n", $field->default);
?>
<div class="source_list">
<?php
foreach ($rows as $row){
    if (mb_strstr($row, '|')){
        list($url, $title) = explode("|", $row);
    }else $title = $row;
    ?>
    <span class='source_item' itemurl='<?php html($row);?>'><?php html($title);?></span>
<?php } ?>
</div>
    <style type='text/css'>
        .source_list {padding:3px;display: none;}
        .source_item {border-bottom: 1px dotted;padding: 2px;display: inline-block;margin: 3px;}
        .source_item:hover {color:#000000; cursor: pointer;}
    </style>
    <script type='text/javascript'>
        
        $(document).ready(function(){
                $("input#<?php echo $field->id; ?>").click(function(){
                    $(".source_list").show('400');
                });
                $('.source_item').click(function(){
                    var itemurl = $(this).attr('itemurl');
                    //alert(itemurl);
                    $("input#<?php echo $field->id; ?>").val(itemurl);
                    $(".source_list").hide('400');
                });
            
            }
        );
        
    </script>